import com.nttdocomo.ui.*;
import javax.microedition.io.*;
import java.io.*;

public class SPadSample extends IApplication {
	public void start() {
		try {
			DataOutputStream dos=Connector.openDataOutputStream("scratchpad:///0");
			dos.writeUTF("Hello");
			dos.close();
		} catch (IOException ioe) {System.out.println(ioe.toString());}
		MyCanvas myCanvas = new MyCanvas();
		myCanvas.setSoftLabel(Frame.SOFT_KEY_2,"I");
		Display.setCurrent(myCanvas);
	}
}

class MyCanvas extends Canvas {
	public void paint(Graphics g) {
		try {
			DataInputStream dis=Connector.openDataInputStream("scratchpad:///0");
			String data=dis.readUTF();
			g.drawString(data, 30,60);
			dis.close();
		} catch (IOException ioe) {System.out.println(ioe.toString());}
	}

	public void processEvent(int type, int param) {
		if (type==Display.KEY_RELEASED_EVENT) {
			if (param==Display.KEY_SOFT2) {
				IApplication.getCurrentApp().terminate();
			}
		}
	}
}
