import com.nttdocomo.ui.*;

public class ColorSample extends IApplication {
	public void start() {
		MyCanvas myCanvas = new MyCanvas();
		myCanvas.setSoftLabel(Frame.SOFT_KEY_2,"I");
		Display.setCurrent(myCanvas);
	}
}

class MyCanvas extends Canvas {
	public void paint(Graphics g) {
		g.lock();
		int color_yellow= Graphics.getColorOfName(Graphics.YELLOW);
		setBackground(color_yellow);
		g.clearRect(0, 0, getWidth(), getHeight());
		int color2=Graphics.getColorOfRGB(255, 200, 100);
		g.setColor(color2);
		g.drawLine(10,10,100,100);
		g.unlock(true);
	}

	public void processEvent(int type, int param) {
		if (type==Display.KEY_RELEASED_EVENT) {
			if (param==Display.KEY_SOFT2) {
				IApplication.getCurrentApp().terminate();
			}
		}
	}
}
