import com.nttdocomo.ui.*;

public class FontSample extends IApplication {
	public void start() {
		MyCanvas myCanvas = new MyCanvas();
		myCanvas.setSoftLabel(Frame.SOFT_KEY_2,"I");
		Display.setCurrent(myCanvas);
	}
}

class MyCanvas extends Canvas {
	public void paint(Graphics g) {
		g.lock();
		Font font= Font.getFont(Font.SIZE_MEDIUM);
		g.setFont(font);
		g.drawString("Hello", 30, 50);
		g.unlock(true);
	}

	public void processEvent(int type, int param) {
		if (type==Display.KEY_RELEASED_EVENT) {
			if (param==Display.KEY_SOFT2) {
				IApplication.getCurrentApp().terminate();
			}
		}
	}
}