import com.nttdocomo.ui.*;

public class IMETest extends IApplication {
	public void start() {
		MyCanvas myCanvas = new MyCanvas();
		myCanvas.setSoftLabel(Frame.SOFT_KEY_1,"");
		myCanvas.setSoftLabel(Frame.SOFT_KEY_2,"I");
		Display.setCurrent(myCanvas);
	}
}

class MyCanvas extends Canvas {
	String IMEText="";//IME 󂯎镶

	public void paint(Graphics g) {
		g.clearRect(0, 0, getWidth(), getHeight());
		g.drawString(IMEText, 30, 60);
	}

	public void processEvent(int type, int param) {
		if (type==Display.KEY_RELEASED_EVENT) {
			if (param==Display.KEY_SOFT1) {
				imeOn("", TextBox.DISPLAY_ANY, TextBox.KANA);
			} else if (param==Display.KEY_SOFT2) {
				IApplication.getCurrentApp().terminate();
			}
		}
	}

	public void processIMEEvent(int type, String text) {
		if (type==IME_COMMITTED) { IMEText=text; repaint();}
	}
}