import com.nttdocomo.ui.*;

public class PanelTest extends IApplication implements ComponentListener, SoftKeyListener {

	public void softKeyPressed(int softKey) {
	}

	public void softKeyReleased(int softKey) {
		if (softKey==Frame.SOFT_KEY_2) terminate();
	}

	public void componentAction(Component source, int type, int param) {
		if (type==ComponentListener.BUTTON_PRESSED) {
			terminate();
		}
	}

	public void start() {
		Panel panel= new Panel();
		Button button= new Button("I");
		panel.add(button);
		panel.setComponentListener(this);
		panel.setSoftKeyListener(this);
		panel.setSoftLabel(Frame.SOFT_KEY_2, "I");
		Display.setCurrent(panel);
	}

}