import com.nttdocomo.ui.*;

public class CanvasSample extends IApplication {
	public void start() {
		MyCanvas myCanvas = new MyCanvas();
		myCanvas.setSoftLabel(Frame.SOFT_KEY_2, "I");
		Display.setCurrent(myCanvas);
	}
}

class MyCanvas extends Canvas {
	public void paint(Graphics g) {
		g.lock();
		g.drawLine(10,10,100,100);
		g.unlock(true);
	}

	public void processEvent( int type, int param) {
		if (type==Display.KEY_RELEASED_EVENT) {
			if (param==Display.KEY_SOFT2) {
				IApplication.getCurrentApp().terminate();
			}
		}
	}
}