import com.nttdocomo.ui.*;

public class ShortTimerSample extends IApplication {
	ShortTimer st;
	public void start() {
		MyCanvas myCanvas = new MyCanvas();
		myCanvas.setSoftLabel(Frame.SOFT_KEY_2,"I");
		st=ShortTimer.getShortTimer(myCanvas, 1, 1000, true);
		Display.setCurrent(myCanvas);
		st.start();
	}

	public void resume() {
		st.start();
	}
}

class MyCanvas extends Canvas {
	int nCount=0;
	public void paint(Graphics g) {
		g.clearRect(0, 0, getWidth(), getHeight());
		g.drawString("nCount="+nCount, 30, 60);
	}

	public void processEvent(int type, int param) {
		if (type==Display.KEY_RELEASED_EVENT) {
			if (param==Display.KEY_SOFT2) {
				IApplication.getCurrentApp().terminate();
			}
		} else if (type==Display.TIMER_EXPIRED_EVENT) {
			nCount++;
			repaint();
		}
	}
}